﻿@{
    ViewBag.Title = "Inquiry Risk Register";
    Layout = "~/Views/Shared/_FixedLayout.cshtml";
}

<link href="~/Content/plugins/bootstrap-datepicker/css/bootstrap-datepicker.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<link href="~/Content/plugins/bootstrap-combobox/css/bootstrap-combobox.css" rel="stylesheet" />
<script src="~/Content/plugins/bootstrap-combobox/js/bootstrap-combobox.js"></script>

<link href="~/Content/plugins/datatables/css/dataTables.bootstrap.css" rel="stylesheet" />
<script src="~/Content/plugins/datatables/js/jquery.dataTables.min.js"></script>
<script src="~/Content/plugins/datatables/js/jquery.dataTables.columnFilter.js"></script>
<script src="~/Content/plugins/datatables/js/dataTables.bootstrap.js"></script>

<script type="text/javascript">


    var oTable;

    function loadDivision() {
        return $.ajax({
            url: '@Url.Action("GetDivList", "RiskRegister")',
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlDivision').append('<option value="0">All</option>');
                $.each(results, function (i, result) {
                    $('#ddlDivision').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlDivision').append('<option value="">No data found</option>');
            }
        });
    }


    function loadDepartment() {

        return $.ajax({
            url: '@Url.Action("GetDeptListbyDivId", "RiskRegister")?divid=' + $('#ddlDivision').val(),
            type: 'GET',
            dataType: 'json',
            success: function (results) {
                $('#ddlDepartment').empty();
                $('#ddlDepartment').append('<option value="0">All</option>');
                $.each(results, function (i, result) {
                    $('#ddlDepartment').append('<option value="' + result.Value + '">' + result.Text + '</option>');
                });
            },
            error: function (ex) {
                $('#ddlDepartment').append('<option value="">No data found</option>');
            }
        });
    }

    function loadData() {
        var aryColTableChecked = [];
        for (var idx = 1; idx < 13; idx++) {
            aryColTableChecked.push("field" + idx);

        }

        var aoColumnDef = [];

        $.each(aryColTableChecked, function (i, value) {

            var obj = {
                "mData": value, "aTargets": [i]
            }
            aoColumnDef.push(obj);
        });

        if (oTable != null) {
            oTable.fnDestroy();
        }

        oTable = $('#tblData').dataTable({
            "sAjaxSource": "@Url.Action("GetInquiryRiskRegister", "InquiryRiskRegister")",
            "bServerSide": false,
            "bProcessing": true,
            "bSort": false,
            "bPaginate": true,
            "bLengthChange": false,
            "bStateSave": false,
            "bDestroy": true,
            "bRetrieve": true,
            "fnServerData": function (sSource, aoData, fnCallback) {
                $.ajax({
                    "dataType": "json",
                    "type": "POST",
                    "url": sSource,
                    "data": aoData,
                    "success": fnCallback
                });
            },
            "sDom": '<"#tblData_header.clearfix "<"pull-left"l><"pull-right"r>><"table-responsive"t><"#ScrollTop"><"#tblData_footer.clearfix "<"pull-left"i><"pull-right"p>>',
            "fnServerParams": function (aoData) {
                aoData.push({ "name": "riskno", "value": $('#txtriskno').val() });
                aoData.push({ "name": "divid", "value": $('#ddlDivision').val() });
                aoData.push({ "name": "deptid", "value": $('#ddlDepartment').val() });
            },
            "aoColumnDefs": aoColumnDef,
            "iDisplayLength": 10,
            "oLanguage": {
                "sProcessing": '<i class="fa fa-spinner fa-spin"></i> Retrieve Data ... ',
                "sLengthMenu": '_MENU_'
            },
        });

        oTable.fnSettings().aoColumns[0].sClass = "text-center";
        oTable.fnSettings().aoColumns[1].sClass = "text-center";
        oTable.fnSettings().aoColumns[2].sClass = "text-center";
        oTable.fnSettings().aoColumns[3].sClass = "text-left";
        oTable.fnSettings().aoColumns[4].sClass = "text-center";
        oTable.fnSettings().aoColumns[5].sClass = "text-center";
        oTable.fnSettings().aoColumns[6].sClass = "text-center";
        oTable.fnSettings().aoColumns[7].sClass = "text-center";
        oTable.fnSettings().aoColumns[8].sClass = "text-center";
        oTable.fnSettings().aoColumns[9].sClass = "text-center";
        oTable.fnSettings().aoColumns[10].sClass = "text-center";
        oTable.fnSettings().aoColumns[11].sClass = "text-center";
        oTable.fnSettings().aoColumns[11].sClass = "text-center";



    }

    function DownloadFile() {
        window.location.href = '@Url.Action("DownloadFile", "InquiryRiskRegister")?divid=' + $('#ddlDivision').val() + '&deptid=' + $('#ddlDepartment').val();
    }

    $(document).ready(function () {

        loadDivision().then(loadDepartment).then(loadData);

        $("#btnDownload").click(function (evt) {
            DownloadFile();
        });

        $("#btnSearch").click(function () {
            loadData();
        });

        $("#btnReset").click(function () {

            document.getElementById("txtriskno").value = "";
            document.getElementById("ddlDivision").value = "0";
            document.getElementById("ddlDepartment").value = "0";

            $("#btnSearch").click();
        });

        //Division
        $(document).on("change", '#ddlDivision', function (e) {

            loadDepartment();
        });
    });



</script>

<style>
    .label-def-margin {
        margin-top: 10px;
    }

    .GridDock {
        overflow-x: auto;
        overflow-y: hidden;
        width: 100%;
        padding: 0 0 0 0;
    }
</style>


<div class="col-sm-12">


    <div class="panel panel-primary" style="margin-bottom: 0;">
        <div class="panel-heading">
            Search
        </div>
        <div class="panel-body">
            <div class="row">
                <!--Division-->
                <div class="col-sm-1"><label class="label-def-margin" for="ddlDivision">Division</label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="ddlDivision"></select>
                </div>
                <div class="col-sm-1"><label class="label-def-margin" for="ddlDepartment">Department</label></div>
                <div class="col-sm-3">
                    <select class="form-control" id="ddlDepartment"></select>
                </div>

            </div>
            <div class="row">
                <!--Risk No-->
                <div class="col-sm-1"><label class="label-def-margin" for="txtriskno">Risk No</label></div>
                <div class="col-sm-3"><input class="form-control" id="txtriskno" type="text" /></div>
            </div>
            <br />
            <div class="row">
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnSearch">
                        <span class="glyphicon glyphicon-search"></span> Search
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" id="btnReset">
                        <span class="glyphicon glyphicon-refresh"></span> Reset
                    </button>
                </div>
                <div class="col-sm-1">
                    <button type="button" class="btn btn-primary" title="Download all risk register" id="btnDownload">
                        <span class="fa fa-download"></span> Download
                    </button>
                </div>
            </div>
        </div>
    </div>
    <br />

    <div class="panel panel-primary">
        <div class="panel-body">
            <div class="GridDock" id="dvGridWidth">
                <table id="tblData" class="table table-striped table-hover table-bordered" width="100%" style="font-size: 10px; margin-top: 0 !important; margin-bottom: 0 !important; padding-top: 0 !important; padding-bottom: 0 !important;">
                    <thead class="bg-mantle-gradient">
                        <tr>
                            <th>Risk No</th>
                            <th>Loss</th>
                            <th>Caused</th>
                            <th>Inherent Risk <br /> Impact</th>
                            <th>Inherent Risk <br /> Likelihood</th>
                            <th>Inherent Risk <br /> Overall</th>
                            <th>Residual Risk <br /> Impact</th>
                            <th>Residual Risk <br /> Likelihood</th>
                            <th>Residual Risk <br /> Overall</th>
                            <th>Expected Risk <br /> Impact</th>
                            <th>Expected Risk <br /> Likelihood</th>
                            <th>Expected Risk <br /> Overall</th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>

</div>
